// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : User的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var User_PlantNr = grmi.NewField("PlantNr", "User.PlantNr", "plantnr", grmi.TypeInt)
var User_UserId = grmi.NewField("UserId", "User.UserId", "userid", grmi.TypeString)
var User_Name = grmi.NewField("Name", "User.Name", "name", grmi.TypeString)
var User_NickName = grmi.NewField("NickName", "User.NickName", "nickname", grmi.TypeString)
var User_DepId = grmi.NewField("DepId", "User.DepId", "depid", grmi.TypeInt)
var User_Phone = grmi.NewField("Phone", "User.Phone", "phone", grmi.TypeString)
var User_Avatar = grmi.NewField("Avatar", "User.Avatar", "avatar", grmi.TypeString)
var User_Email = grmi.NewField("Email", "User.Email", "email", grmi.TypeString)
var User_Status = grmi.NewField("Status", "User.Status", "status", grmi.TypeString)
var User_Gender = grmi.NewField("Gender", "User.Gender", "gender", grmi.TypeString)
var User_Position = grmi.NewField("Position", "User.Position", "position", grmi.TypeString)
var User_Role = grmi.NewField("Role", "User.Role", "role", grmi.TypeString)
var User_Remark = grmi.NewField("Remark", "User.Remark", "remark", grmi.TypeString)
var User_Password = grmi.NewField("Password", "User.Password", "password", grmi.TypeString)
var User_RoleId = grmi.NewField("RoleId", "User.RoleId", "roleid", grmi.TypeInt)
var User_LastModify = grmi.NewField("LastModify", "User.LastModify", "lastmodify", grmi.TypeDateTime)
var User_LastUser = grmi.NewField("LastUser", "User.LastUser", "lastuser", grmi.TypeString)
var User_CreateTime = grmi.NewField("CreateTime", "User.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : User的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var User = grmi.NewEntity(
	"User",
	func() interface{} { return &model.User{} },
	map[string]grmi.Field{
		User_PlantNr.Name:    User_PlantNr,
		User_UserId.Name:     User_UserId,
		User_Name.Name:       User_Name,
		User_NickName.Name:   User_NickName,
		User_DepId.Name:      User_DepId,
		User_Phone.Name:      User_Phone,
		User_Avatar.Name:     User_Avatar,
		User_Email.Name:      User_Email,
		User_Status.Name:     User_Status,
		User_Gender.Name:     User_Gender,
		User_Position.Name:   User_Position,
		User_Role.Name:       User_Role,
		User_Remark.Name:     User_Remark,
		User_Password.Name:   User_Password,
		User_RoleId.Name:     User_RoleId,
		User_LastModify.Name: User_LastModify,
		User_LastUser.Name:   User_LastUser,
		User_CreateTime.Name: User_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Name", "NickName", "DepId", "Phone", "Avatar", "Email", "Status", "Gender", "Position", "Role", "Remark", "Password", "RoleId", "LastUser"})
